> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/sdn/data-center-port/describeports.md).

# DescribePorts

## 1. 接口描述

本接口(DescribePorts)用于获取端口列表。

{% hint style="info" %}
**注意事项**

* 端口加入 LAG 后，返回结果中的 `lag` 字段为该端口归属的 LAG 信息。此后只能使用该 LAG 创建业务，不能再单独使用 LAG 的成员口创建业务。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型                                                         | 描述                                                                                                                     |
| --------------- | -- | ---------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| pageSize        | 否  | Integer                                                    | <p>每页数量。</p><p>取值范围 1-1000。</p><p>可选值范围：\[1, 1000]</p>                                                                 |
| pageNum         | 否  | Integer                                                    | <p>页码。</p><p>从 1 开始。</p><p>可选值范围：\[1, +)</p><p>默认值：1</p>                                                               |
| portIds         | 否  | Array of String                                            | <p>数据中心端口 ID 列表。</p><p>最大支持长度为 100。</p>                                                                                |
| portName        | 否  | String                                                     | <p>数据中心端口名称。</p><p>最长不超过 255 个字符，支持模糊匹配、忽略大小写。</p>                                                                     |
| dcId            | 否  | String                                                     | <p>数据中心ID。</p><p>可通过 <a href="/api-reference/cn/sdn/location/describedatacenters.md">DescribeDataCenters</a> 接口获取。</p> |
| cityName        | 否  | String                                                     | <p>城市名称。</p><p>最长不超过 64 个字符，支持模糊匹配、忽略大小写。</p>                                                                          |
| resourceGroupId | 否  | String                                                     | <p>资源组 ID。</p><p>不传则返回该用户可见的所有资源组内的数据中心端口。</p>                                                                         |
| tagKeys         | 否  | Array of String                                            | <p>根据标签键进行搜索。</p><p>最长不得超过20个标签键。</p>                                                                                  |
| tags            | 否  | Array of [Tag](/api-reference/cn/sdn/datastructure.md#tag) | <p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p>                                                                                    |

## 3. 响应结果

| 参数名称       | 类型                                                                   | 描述                                                       |
| ---------- | -------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                               | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                              | 符合条件的数据总数。                                               |
| dataSet    | Array of [PortInfo](/api-reference/cn/sdn/datastructure.md#portinfo) | 数据中心端口列表结果集。                                             |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribePorts
<Common Request Params>

Request: {
  "portIds": ["your-port-id"]
}

Response: {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
        "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
        "totalCount": 1,
        "dataSet": [
        {
            "portId":"your-port-id",
            "portName":"your-port-name",
            "portRemarks":"your-port-remark",
            "portType":"1G",
            "dcId":"SIN1",
            "dcName":"AP-Singapore1",
            "cityName":"Singapore",
            "areaName":"Asia Pacific",
            "businessEntityName":"your-business-entity-name",
            "connectionStatus":"ACTIVE",
            "portStatus":"RUNNING",
            "loaStatus":"LOA_NOT_UPLOAD",
            "loaDownloadUrl":"your-loa-download-url",
            "createdTime":"YYYY-MM-ddTHH:mm:ssZ",
            "expiredTime":"YYYY-MM-ddTHH:mm:ssZ",
            "period":12,
            "isCreateBusinessAllowed":true,
            "lag":{
                "lagId":"your-lag-id",
                "lagName":"your-lag-name"
            }
        }]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
